<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class Mu extends MY_Controller {
	
	function __construct()
	{
		parent::__construct();
	}
	
	public function index()
	{		
		$data = array(
			'content' 	=> 	$this->pmodul.'/'.$this->pmodul,
			);		
		$this->load('tpl',$data['content'], $data);
		$this->load->view($this->pmodul.'/'.$this->pmodul.'_cjs');
		$this->load->view($this->pmodul.'/'.$this->pmodul.'_mjs');
		
	}
	
	function aksi($cmd)
	{
		ini_set('memory_limit', '-1');
		
		$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 100;	
		$key = $_REQUEST["q"];
		$dtdari = $_REQUEST["dtdari"];
		$dtsampai = $_REQUEST["dtsampai"];
		$kd_cmpy = $_REQUEST["kd_cmpy"];
		$rs = $this->mdl->getAll2($page,$rows,$key,$dtdari,$dtsampai,$kd_cmpy);
		
		if ($cmd=='cari'){
			echo json_encode($rs);
		} else {
			$data = array(
				'rs' 	=> 	$rs
			);	
			
			if ($cmd=='excel'){
				$filename =$this->title.".xls";
				header('Content-type: application/ms-excel');
				header('Content-Disposition: attachment; filename='.$filename);
			}
			$this->load->view($this->pmodul.'/print',$data);
		}
		
	}
}